paymentItems body parameter with the request. This is a structure that represents goods for sale on your store, including prices in various currencies. The structure is used for authorizing, capturing and refunding transactions. This page defines the Payment Items structure, which is built from lower-level structures: the Price structure, and the Payment Item structure.
The Price structure
The Price structure describes pricing information for an item in a specific currency. Here’s an example in JSON format:currencyIso3: Mandatory, string, three-character ISO 4217 currency code. The currency applicable to all price values in the structure. For the list of supported codes, see ISO 4217 Currency Codes.grossAmount: Mandatory, string, at most two decimal digits. Gross price (tax included) without currency specifier. The total amount the user will be charged.financialBreakdown: Optional, object. If specified, contains special financial breakdown values that may be required depending on the commercial agreements with Bango and the payment provider. Bango recommends you include all values, if possible, to maximize payment success rates. Properties are:
The Payment Item structure
The Payment Item structure describes all details, including pricing information, for a single item in your store. JSON example:itemName: Optional, string. Descriptive name of the item on sale. Appears in the user’s bill or statement if supported by the payment provider.itemDescription: Optional, string. Long description of the item on sale.itemCategory: Optional, string. Category of the item on sale. The list of possible category values can be configured, and is agreed between you and Bango. See below.externalPaymentItemId: Optional, string. Your custom identifier for this item within the transaction. Recommended, to help Bango process refunds if necessary.submerchantReferenceKey: Optional, string. For merchants that require different processes (such as financial reporting and reconciliation) for different departments or financial entities, the Bango Platform can be configured to enable “submerchants”. Contact Bango Support if you need this feature.priceList: Mandatory, array of Price structures, at least one member. All the relevant prices you support for the item. The Bango Platform automatically selects the most appropriate price for the user.

